## xz-utils 5.1.1alpha+20110809

=== debian/changelog ===
xz-utils (5.1.1alpha+20110809-3) unstable; urgency=low

  * liblzma: Match upstream ABI.
    - Remove the lzma_chunk_size() function.
    - A few ABI tweaks to reserved space in structures.
    - Enable ELF symbol versioning.
    - Bump soname to 5.
    - Continue to leave out threading support, since the relevant
      interfaces in liblzma are not yet stable.
  * xz-utils/README.Debian: Remove note on ABI differences.
  * Remove liblzma/README.Debian.
  * liblzma: Introduce a lzma_code@Base compatibility symbol to ensure
    programs linked against unversioned symbols from liblzma2 can
    share a process image with liblzma5 without breaking.
  * debian/symbols: XZ_5.0 symbols come from liblzma5.  Build-Depends:
    dpkg-dev (>= 1.15.6); thanks to Jakub Wilk for a reminder.
  * debian/symbols: The lzma_code@Base symbol is not guaranteed to
    continue to exist in the future, so tell dpkg-shlibdeps to produce
    an error if some package manages to use it.

 -- Jonathan Nieder <jrnieder@gmail.com>  Thu, 20 Oct 2011 21:31:31 -0500

xz-utils (5.1.1alpha+20110809-2) unstable; urgency=low

  * debian/rules build-arch: Do not trigger an infinite "make"
    recursion loop when DEB_BUILD_OPTIONS=nocheck.  Closes: #638071.
    Thanks to Thorsten Glaser.

 -- Jonathan Nieder <jrnieder@gmail.com>  Tue, 16 Aug 2011 18:11:47 -0500

xz-utils (5.1.1alpha+20110809-1) unstable; urgency=low

  * New snapshot, taken from upstream commit 5c5b225.
    - liblzma:
      - lzma_stream_encoder() leaked memory.
      - The LZMA2 decoder rejected streams that decompress to a
        zero-length string.
      - lzma_easy_buffer_encode() and lzma_stream_buffer_encode()
        used to write such streams when asked to compress a 0-length
        buffer.
      - lzma_index_init() would segfault on allocation failure.
      - liblzma: Various functions check their arguments (especially
        choice of integrity check) better, making it harder to create
        a corrupt .xz file instead of receiving an error.
    - xz and scripts:
      - "xz -v -v --list" would read and try to free() uninitialized
        memory, continuing past the end of an on-stack array, when
        asked to describe certain corrupted XZ files.
      - xz -S.suf now refuses to compress a file whose name already
        ends with the suffix “.suf”.
      - xz --force can be used to compress setuid, setgid, sticky,
        and multiply linked files.
      - xz uses posix_fadvise() to speed up sequential input.
      - xz --block-size forces a full flush periodically during
        compression, for better random-access reading support and to
        make simple parallelism possible in the future.
      - unxz: The new --single-stream option discards trailing
        garbage after the end of the first stream.
      - xzdiff can read gzip- and bzip2-compressed files.
      - xzdiff and xzgrep can read lzop-compressed files.
      - xzegrep and xzfgrep perform extended regex and fixed-string
        matches, respectively.  (The previous behavior was to always
        use basic regexes.)
      - xzgrep -l (= --files-with-match) works.
      - The Czech “xz --help” output uses a more correct term for
        files with holes.  Thanks to Petr Hubený.  Closes: #605762.
      - xz: New Polish and French translations.
    - The Doxygen-generated documentation uses short, relative paths
      to name source files.  Closes: #572273.
  * Update copyright file.
  * Remove example programs from debian/examples.  They are included
    in the upstream source package now.
  * Move liblzma to an architecture-specific directory, so the
    native library and foreign-architecture versions can be installed
    simultaneously.
    - liblzma2: Pre-Depends: multiarch-support.
    - Use debhelper compatibility level 9.  This requires passing
      the dh sequence name before other options when invoking dh in
      debian/rules.  Build-Depends: debhelper (>= 8.1.3).
    - liblzma2, liblzma-dev: Install files under /usr/lib/<triplet>
      instead of /usr/lib.
    - Thanks to Steve Langasek for explaining the process on the
      Debian wiki.
  * Standards-Version: 3.9.2 (checked).
  * debian/control: liblzma2 is Multi-Arch: same, while xz-utils
    and xzdec are Multi-Arch: foreign.  Closes: #637883.  Thanks to
    Riku Voipio.
  * debian/symbols: Bump the minimal version for LZMA2 encoder
    functions that reject more bad arguments and skip empty blocks.
  * debian/rules: ./configure --disable-symbol-versions for now.
  * debian/rules: Provide build-arch and build-indep targets that
    only build the code and the API documentation, respectively.
    Thanks to Roger Leigh for suggesting it through lintian.
    Build-Depends: debhelper (>= 8.9.0).
  * debian/rules: Treat DEB_BUILD_OPTIONS=nocheck as a request not to
    run build-time tests.  Thanks to Thorsten Glaser for a reminder.
    Closes: #627209.

 -- Jonathan Nieder <jrnieder@gmail.com>  Tue, 16 Aug 2011 00:40:31 -0500
