=== debian/control ===
Source: xz-utils
Section: utils
Priority: required
Maintainer: Jonathan Nieder <jrnieder@gmail.com>
Uploaders: Mohammed Adnène Trojette <adn+deb@diwi.org>
Build-Depends: debhelper (>= 8.9.0), perl, dpkg-dev (>= 1.15.6),
 autoconf (>= 2.64~), automake, libtool (>= 2.2),
 gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs
Build-Depends-Indep: doxygen
Build-Conflicts: automake1.4
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=collab-maint/xz.git
Vcs-Git: git://git.debian.org/collab-maint/xz.git
Homepage: http://tukaani.org/xz/

Package: liblzma5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: XZ-format compression library
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 The native format of liblzma is XZ; it also supports raw (headerless)
 streams and the older LZMA format used by lzma. (For 7-Zip's related
 format, use the p7zip package instead.)

Package: xz-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Suggests: xz-lzma
Breaks: xz-lzma (<< 4.999.9beta+20091004-1)
Replaces: xz-lzma (<< 4.999.9beta+20091004-1)
Description: XZ-format compression utilities
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 This package provides the command line tools for working with XZ
 compression, including xz, unxz, xzcat, xzgrep, and so on. They can
 also handle the older LZMA format, and if invoked via appropriate
 symlinks will emulate the behavior of the commands in the lzma
 package.
 .
 The XZ format is similar to the older LZMA format but includes some
 improvements for general use:
 .
  * 'file' magic for detecting XZ files;
  * crc64 data integrity check;
  * limited random-access reading support;
  * improved support for multithreading (not used in xz-utils);
  * support for flushing the encoder.

Package: xz-lzma
Architecture: all
Priority: extra
Depends: xz-utils, ${misc:Depends}
Conflicts: lzma
Breaks: lzip (<< 1.8~rc2)
Replaces: lzip (<< 1.8~rc2)
Provides: lzma
Description: XZ-format compression utilities - compatibility commands
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 This package provides symbolic links allowing xz-utils to provide the
 same interface for manipulating LZMA files as the lzma package. The
 xz-utils package can handle LZMA files on its own; this package is
 only necessary when using scripts or other programs that require the
 older command names.

Package: xzdec
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Suggests: xz-utils
Breaks: xz-lzma (<< 4.999.9beta+20091004-1)
Replaces: xz-lzma (<< 4.999.9beta+20091004-1)
Description: XZ-format compression utilities - tiny decompressors
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 This package provides the xzdec and lzmadec utilities, which write
 the decompressed version of a compressed file to standard output. The
 binaries are very small, so they can be easily stored on small media
 with some compressed files, and they are linked statically against
 liblzma so they can be used on machines without a compatible version
 of liblzma installed. However, they have:
 .
   * no compression support;
   * no support for writing to a file other than standard output;
   * no translated messages;
   * been optimized for size rather than speed.
 .
 For a full-featured xzcat command without these limitations, use
 the xz-utils package instead.

Package: liblzma-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: liblzma5 (= ${binary:Version}), ${misc:Depends}
Suggests: liblzma-doc
Description: XZ-format compression library - development files
 XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
 compression format, which provides memory-hungry but powerful
 compression (often better than bzip2) and fast, easy decompression.
 .
 The native format of liblzma is XZ; it also supports raw (headerless)
 streams and the older LZMA format used by lzma. (For 7-Zip's related
 format, use the p7zip package instead.) This package provides the
 development library needed to build programs using liblzma.

Package: liblzma-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Suggests: liblzma-dev
Description: XZ-format compression library - API documentation
 This package contains a reference manual for the liblzma data
 compression library, in Doxygen-generated HTML files. The purpose
 of each struct, macro, and function in the public interface is
 explained.
