## xz-utils 5.2.2

=== debian/changelog ===
xz-utils (5.2.2-1.3ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: arbitrary file overwrite or code execution with
    crafted file names
    - debian/patches/CVE-2022-1271.patch: fix escaping of malicious
      filenames in src/scripts/xzgrep.in.
    - CVE-2022-1271

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Apr 2022 08:56:46 -0400

xz-utils (5.2.2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Force a constant /bin/sh for installed scripts. This helps the build
    be reproducible; /bin/sh on Debian is always POSIX. (Closes: #806331)

 -- Ximin Luo <infinity0@debian.org>  Wed, 28 Jun 2017 18:39:19 +0200

xz-utils (5.2.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * link against libfreebsd-glue on kfreebsd-* (Closes: #840063)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 08 Oct 2016 15:11:19 +0200

xz-utils (5.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * switch to git-dpm for packaging (closes: #540405)
  * New Upstream (closes: #731634)
   - no more "xzless error in line 49" (closes: #693537)
   - xzgrep -h works (closes: #780268)
  * update symbol file
  * enable threads for the "normal build"

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 26 Sep 2016 20:45:45 +0200

xz-utils (5.1.1alpha+20120614-2.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.

  [ Colin Watson ]
  * Remove build-dependency on perl; we use no non-trivial Perl modules so
    the Essential perl-base is perfectly adequate, and an unadorned
    build-dependency on perl is problematic for cross-building.
    Closes: #697328.

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 18 Jun 2015 20:27:23 +0200
