=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: xz-utils
 Section: utils
 Priority: required
-Maintainer: Jonathan Nieder <jrnieder@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonathan Nieder <jrnieder@gmail.com>
 Uploaders: Mohammed Adnène Trojette <adn+deb@diwi.org>
-Build-Depends: debhelper (>= 8.9.0), perl, dpkg-dev (>= 1.15.6),
+Build-Depends: debhelper (>= 8.9.0), dpkg-dev (>= 1.16.2),
  autoconf (>= 2.64~), automake, libtool (>= 2.2),
- gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs
+ gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs, freebsd-glue [kfreebsd-any]
 Build-Depends-Indep: doxygen
 Build-Conflicts: automake1.4
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xz.git
 Vcs-Git: git://git.debian.org/collab-maint/xz.git
 Homepage: http://tukaani.org/xz/
@@ -32,9 +33,10 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
-Suggests: xz-lzma
-Breaks: xz-lzma (<< 4.999.9beta+20091004-1)
-Replaces: xz-lzma (<< 4.999.9beta+20091004-1)
+Conflicts: lzma (<< 9.22-1), xz-lzma
+Breaks: lzip (<< 1.8~rc2)
+Replaces: lzip (<< 1.8~rc2), xz-lzma
+Provides: lzma
 Description: XZ-format compression utilities
  XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
  compression format, which provides memory-hungry but powerful
@@ -54,25 +56,6 @@
   * limited random-access reading support;
   * improved support for multithreading (not used in xz-utils);
   * support for flushing the encoder.
-
-Package: xz-lzma
-Architecture: all
-Priority: extra
-Depends: xz-utils, ${misc:Depends}
-Conflicts: lzma
-Breaks: lzip (<< 1.8~rc2)
-Replaces: lzip (<< 1.8~rc2)
-Provides: lzma
-Description: XZ-format compression utilities - compatibility commands
- XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
- compression format, which provides memory-hungry but powerful
- compression (often better than bzip2) and fast, easy decompression.
- .
- This package provides symbolic links allowing xz-utils to provide the
- same interface for manipulating LZMA files as the lzma package. The
- xz-utils package can handle LZMA files on its own; this package is
- only necessary when using scripts or other programs that require the
- older command names.
 
 Package: xzdec
 Priority: extra
@@ -105,6 +88,7 @@
 Package: liblzma-dev
 Section: libdevel
 Priority: optional
+Multi-Arch: same
 Architecture: any
 Depends: liblzma5 (= ${binary:Version}), ${misc:Depends}
 Suggests: liblzma-doc
