=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: xz-utils
 Section: utils
-Priority: required
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Nieder <jrnieder@gmail.com>
 Uploaders: Mohammed Adnène Trojette <adn+deb@diwi.org>
 Build-Depends: debhelper (>= 8.9.0), dpkg-dev (>= 1.16.2),
  autoconf (>= 2.64~), automake, libtool (>= 2.2),
- gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs, freebsd-glue [kfreebsd-any]
+ gettext, autopoint | gettext (<< 0.18-1), autopoint | cvs
 Build-Depends-Indep: doxygen
 Build-Conflicts: automake1.4
-Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=collab-maint/xz.git
-Vcs-Git: git://git.debian.org/collab-maint/xz.git
-Homepage: http://tukaani.org/xz/
+Standards-Version: 4.3.0
+Vcs-Browser: https://repo.or.cz/w/xz/debian
+Vcs-Git: https://repo.or.cz/r/xz/debian
+Homepage: https://tukaani.org/xz/
 
 Package: liblzma5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: liblzma2 (<< 5.1.1alpha+20110809-3~)
 Multi-Arch: same
 Description: XZ-format compression library
  XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
@@ -30,6 +31,7 @@
  format, use the p7zip package instead.)
 
 Package: xz-utils
+Priority: standard
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
@@ -58,7 +60,6 @@
   * support for flushing the encoder.
 
 Package: xzdec
-Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
@@ -87,7 +88,6 @@
 
 Package: liblzma-dev
 Section: libdevel
-Priority: optional
 Multi-Arch: same
 Architecture: any
 Depends: liblzma5 (= ${binary:Version}), ${misc:Depends}
@@ -104,7 +104,6 @@
 
 Package: liblzma-doc
 Section: doc
-Priority: optional
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: liblzma-dev
