=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-build clean install binary-arch binary-indep binary:
-	+dh $@ --parallel $(opt_no_act)
+%:
+	dh $@ --parallel $(opt_no_act)
 
 # Runs tests, too, if and only if nocheck is unset (see below).
 build-arch:: build-plain build-static build-small
@@ -140,7 +140,7 @@
 
 # Build a tarball with the latest upstream version.
 # This is made complicated by the need to choose a nice version number.
-REPO = http://git.tukaani.org/xz.git
+REPO = https://git.tukaani.org/xz.git
 BRANCH = master
 get-orig-source:
 	mkdir debian-orig-source
